%define majver %(echo %version | cut -d. -f1-3)
%define minver %(echo %version | cut -d. -f4)

Name:          libyajl
Version:       2.1.0
Release:       2mamba
Summary:       A small event-driven (SAX-style) JSON parser written in ANSI C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lloyd/yajl
Source:        https://github.com/lloyd/yajl.git/%{version}/yajl-%{version}.tar.bz2
License:       ISC
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser written in ANSI C, and a small validating JSON generator. YAJL is released under the ISC license.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Development/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q -n yajl-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libyajl.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/yajl
%{_includedir}/yajl/*.h
%{_libdir}/libyajl.so
%{_libdir}/libyajl_s.a
%{_datadir}/pkgconfig/yajl.pc
%doc ChangeLog README TODO

%files tools
%defattr(-,root,root)
%{_bindir}/json_reformat
%{_bindir}/json_verify

%changelog
* Tue Mar 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- fixed url and other specfile fixes

* Mon Mar 31 2014 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon Jul 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1.f4b2b1a-1mamba
- update to 2.0.1.gf4b2b1a
- fixed source url for updates management
- fixed license and tools group

* Fri May 11 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.1-1mamba
- package created by autospec
